MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
TCPIOSocket Class Reference
Inheritance diagram for TCPIOSocket:

List of all members.

## Public Member Functions

int | read (void *d, int n)
int | write (const void *d, int n)
int | read_int (int *d, int n)
int | write_int (const int *d, int n)
int | read_string (std::string &)
int | write_string (const std::string &)
int | read_int (int &)
int | write_int (int)
int | read_uint32 (u_int32_t &)
int | write_uint32 (u_int32_t)

The documentation for this class was generated from the following file:

- socket.h